<?php
namespace admin\controls;
class ShopProductSets
{

  static public function set_delete()
  {
    if ( \shop\ProductSet::set_delete( \S::get( 'id' ) ) )
      \S::set_message( 'Komplet produktów usunięty.' );
    else
      \S::alert( 'Podczas usuwania kompletu produktów wystąpił błąd. Proszę spróbować ponownie' );
    header( 'Location: /admin/shop_product_sets/view_list/' );
    exit;
  }

  static public function save()
  {
    $response = [ 'status' => 'error', 'msg' => 'Podczas zapisywania kompletu produktów wystąpił błąd. Proszę spróbować ponownie.' ];
    $values = json_decode( \S::get( 'values' ), true );

    if ( $id = \admin\factory\ShopProductSet::save(
            (int)$values['id'], $values['name'], (string) $values['status'], $values['set_products_id']
          ) ) {
      $response = [ 'status' => 'ok', 'msg' => 'Komplet produktów został zapisany.', 'id' => $id ];
    }

    echo json_encode( $response );
    exit;
  }

  static public function set_edit()
  {
    return \Tpl::view( 'shop-product-sets/set-edit', [
      'set' => new \shop\ProductSet( (int) \S::get( 'id' ) ),
      'products' => \admin\factory\ShopProduct::products_list()
    ] );
  }

  static public function view_list()
  {
    return \Tpl::view( 'shop-product-sets/view-list' );
  }
}